﻿@using DocumentFormat.OpenXml.Wordprocessing
@{
    ViewBag.Title = "Department KPI";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>


<script type="text/javascript">

    var oTable;


    $(document).ready(function () {
        void function loadDepartmentKPI() {
            var GetDetail = '@Url.Action("getDepartmentKPIDetail", "DepartmentKPI", new { rowid = @ViewBag.RowId })';
            $.ajax(GetDetail, {
                contentType: 'application/json; charset=utf-8',
                dataType: 'json',
                type: 'POST',
                success: function (GetDetail) {
                    if (GetDetail.success) {
                        document.getElementById("txtYear").value = GetDetail.year;
                        document.getElementById("txtDepartment").value = GetDetail.departmentid;
                        document.getElementById("txtDepartmentKPI").value = GetDetail.departmentkpi;
                    }
                },
                error: function () {

                }
            });
        }
        ();

       $("#btnSave").click(function () {
            //validation
            if ($('#txtYear').val().length == 0 ||
                       $('#txtDepartment').val().length == 0 ||
                       $('#txtDepartmentKPI').val().length == 0) {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill mandatory field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            } else {

                //confirmation
                bootbox.confirm({
                    title: "<i class='fa fa-warning fa-2x'></i> Save Confirmation",
                    message: 'Are you sure you want to save this data. <br>If not, click Cancel',
                    buttons: {
                        'cancel': {
                            label: '<i class="fa fa-times"></i> Cancel',
                            className: 'btn-default pull-left'
                        },
                        'confirm': {
                            label: '<i class="fa fa-check"></i> Yes, Continue save',
                            className: 'btn-primary pull-right'
                        }
                    },
                    callback: function (result) {
                        if (result) {
                            var DepartmentKPIList = [
                                 {
                                     id: '@ViewBag.RowId',
                                     departmentkpi: $('#txtDepartmentKPI').val()
                                 }
                            ];

                            DepartmentKPIList.push();

                            var formData = new FormData();
                            formData.append("DepartmentKPIList", JSON.stringify(DepartmentKPIList));


                            //Save Process
                            $.ajax({
                                type: "POST",
                                url: '@Url.Action("SaveDepartmentKPI", "DepartmentKPI")',
                                data: formData,
                                dataType: 'json',
                                contentType: false,
                                processData: false,
                                //beforeSend: function () {
                                //    //$("#loader").show();
                                //},
                                success: function (data) {
                                    bootbox.dialog({
                                        message: data.message,
                                        title: data.title,
                                        buttons: {
                                            main: {
                                                label: "<i class='fa fa-check'></i> Ok",
                                                className: "btn-primary",
                                                callback: function () {
                                                    if (result) {
                                                        if (data.status) {
                                                            window.location.href = '@Url.Action("DepartmentKPI", "DepartmentKPI")';
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    });
                                }
                            });

                        }
                    }
                });
            }


        });
    });


</script>

<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }
</style>


<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Edit Department KPI

        </div>
        <div class="panel-body">

            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin required" for="txtYear">Year Company Financial Data</label></div>
                <div class="col-sm-3"><input class="form-control" readonly="true" type="text" id="txtYear" /></div>
            </div>
            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin required" for="txtDepartment">Department</label></div>
                <div class="col-sm-3"><input class="form-control" readonly="true" type="text" id="txtDepartment" /></div>
            </div>
            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin required" for="txtDepartmentKPI">Department KPI / Objective</label></div>
                <div class="col-sm-10"><textarea class="form-control" rows="5" id="txtDepartmentKPI"></textarea></div>
            </div>

        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-12">
                    <button type="button" class="btn btn-primary" id="btnSave">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save
                    </button>
                    &nbsp;
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("DepartmentKPI", "DepartmentKPI") + "'");">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>



    </div>
</div>
